# Histogramming and plotting examples

In this directory you will find a set of examples to perform basic 2D/3D plotting and histogramming.
```bash
git clone https://github.com/marcomusy/vtkplotter.git
cd vtkplotter/examples/plotting2d
python example.py 
```
(_click thumbnail image to get to the python script_)

|    |    |
|:--------:|:-----|
|    |    |
| [![customaxes](https://user-images.githubusercontent.com/32848391/58181826-c605d180-7cac-11e9-9786-11b5eb278f20.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/customAxes.py)<br/> `customAxes.py`  | Customize axes style and appearance. |
|    |    |
| [![donutplot](https://user-images.githubusercontent.com/32848391/64998178-6f6b7580-d8e3-11e9-9bd8-8dfb9ccd90e4.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/donutPlot.py)<br/> `donutPlot.py`     | A donut style plot or pie chart. |
|    |    |
| [![fxy](https://user-images.githubusercontent.com/32848391/50738863-bfccf800-11d8-11e9-882d-7b217aceb55a.jpg)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/fxy.py)<br/> `fxy.py`                       | Draw a surface representing a function _f(x, y)_ defined as a string/formula or as a reference to an external already existing function. <br/>Red points indicate where the function does not exist. |
|    |    |
| [![plotxy](https://user-images.githubusercontent.com/32848391/69158509-d6c1c380-0ae6-11ea-9dbf-ff5cd396a9a6.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/plotxy.py)<br/> `plotxy.py`              | Draw a _x_ vs _y_ plot with optional error bars. |
|    |    |
| [![histo](https://user-images.githubusercontent.com/32848391/68141260-77cc4e00-ff2d-11e9-9280-0efc5b87314d.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/histogram.py)<br/> `histogram.py`         | Draw a 2D histogram with optional error bars. |
|    |    |
| [![histo2d](https://user-images.githubusercontent.com/32848391/50738861-bfccf800-11d8-11e9-9698-c0b9dccdba4d.jpg)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/histoHexagonal.py)<br/> `histoHexagonal.py`    | Make a histogram of two variables with hexagonal binning. |
|    |    |
| [![latex](https://user-images.githubusercontent.com/32848391/55568648-6190b200-5700-11e9-9547-0798c588a7a5.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/latex.py)<br/> `latex.py`                 | Draw latex formatted text on the rendering window. |
|    |    |
| [![markpoint](https://user-images.githubusercontent.com/32848391/52169969-1fb7af80-2741-11e9-937f-5c331d9a1d11.jpg)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/markpoint.py)<br/> `markpoint.py`     | Flag a point with a text that always faces camera. |
|    |    |
| [![polarHisto](https://user-images.githubusercontent.com/32848391/64912717-5754f400-d733-11e9-8a1f-612165955f23.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/polarHisto.py)<br/> `polarHisto.py`  | Draw a polar histogram with error bars. |
|    |    |
| [![polarPlot](https://user-images.githubusercontent.com/32848391/64992590-7fc82400-d8d4-11e9-9c10-795f4756a73f.png)](https://github.com/marcomusy/vtkplotter/blob/master/examples/plotting2d/polarPlot.py)<br/> `polarPlot.py`     | Plot a line in polar coordinates. |



